11 Replies Latest reply on May 11, 2018 12:50 AM by Intel Corporation

    How can I install the last version of tensorflow v1.8 or v1.7

    virtualdvid

      I am following the instructions from thiswebsite:

       

      TensorFlow* Optimizations on Modern Intel® Architecture | Intel® Software

       

      Here what I have done so far:

       

      1. conda create -n iMaterialist intelpython3_full python=3

      2. source activate iMaterialist

      3. conda install -c conda-forge bazel

      4. cd .conda/envs/lib/python3.6/site-packages

      5. pip uninstall tensorflow

      6. rm -rf folderName ##delete tensorflow

      7. git clone https://github.com/tensorflow/tensorflow.git

      8. ./configure #all options with 'n' except kafka 'y' ########should I install another option?? there is not an option for Intel ######### (jemalloc as malloc, google cloud, hadoop, Amazon, Kafka, XLA JIT, GDR, VERBS, OpenCL SYCL, CUDA, MPI, Clang)

      9. cd tensorflow

       

      10. I don't understand this step?

       

      export PATH=/PATH//bin:$PATH

      export LD_LIBRARY_PATH=/PATH//lib64:$LD_LIBRARY_PATH

       

      11. bazel build --config=mkl -c opt --copt=-mavx --copt=-mavx2 --copt=-mfma --copt=-mavx512f --copt=-mavx512pf --copt=-mavx512cd --copt=-mavx512er --copt="-DEIGEN_USE_VML" //tensorflow/tools/pip_package:build_pip_package

       

      Error:

       

      WARNING: /home/uxxxxx/.cache/bazel/_bazel_uxxxxx/6f8c3c44aca5a38244ca8b15871e75b8/external/protobuf_archive/WORKSPACE:1: Workspace name in /home

      /uxxxxx/.cache/bazel/_bazel_uxxxxx/6f8c3c44aca5a38244ca8b15871e75b8/external/protobuf_archive/WORKSPACE (@com_google_protobuf) does not match th

      e name given in the repository's definition (@protobuf_archive); this will cause a build error in future versions

      ERROR: /home/uxxxxx/.conda/envs/python3x/lib/python3.6/site-packages/tensorflow/tensorflow/tools/pip_package/BUILD:117:1: no such package '@kafk

      a//': Traceback (most recent call last):

              File "/home/uxxxxx/.conda/envs/python3x/lib/python3.6/site-packages/tensorflow/third_party/repo.bzl", line 89

                      _apply_patch(ctx, ctx.attr.patch_file)

              File "/home/uxxxxx/.conda/envs/python3x/lib/python3.6/site-packages/tensorflow/third_party/repo.bzl", line 57, in _apply_patch

                      fail("patch command is not found, ple...")

      patch command is not found, please install it and referenced by '//tensorflow/tools/pip_package:licenses'

      ERROR: Analysis of target '//tensorflow/tools/pip_package:build_pip_package' failed; build aborted: no such package '@kafka//': Traceback (most

      recent call last):

              File "/home/uxxxxx/.conda/envs/python3x/lib/python3.6/site-packages/tensorflow/third_party/repo.bzl", line 89

                      _apply_patch(ctx, ctx.attr.patch_file)

              File "/home/uxxxxx/.conda/envs/python3x/lib/python3.6/site-packages/tensorflow/third_party/repo.bzl", line 57, in _apply_patch

                      fail("patch command is not found, ple...")

      patch command is not found, please install it

      INFO: Elapsed time: 9.532s

      FAILED: Build did NOT complete successfully (148 packages loaded)

       

      12. bazel-bin/tensorflow/tools/pip_package/build_pip_package ~/home/uxxxxx/

       

      error:

       

      bash: bazel-bin/tensorflow/tools/pip_package/build_pip_package: No such file or directory


      13. pip install --upgrade --user ~/home/uxxxxx/wheel_name.whl

       

      Thank you!!!!!!